DATA_SECTION
 vector X(1,1000);
 LOC_CALCS
   random_number_generator rng(123456);
   X.fill_randn(rng);
   X*=5.0;
   X+=2.0;
 END_CALCS

PARAMETER_SECTION
 init_number loglam;
 init_number mu;
 sdreport_number sigma;
 objective_function_value nll;

PROCEDURE_SECTION
 sigma = exp(loglam);
 int N = X.indexmax()-X.indexmin()+1;
 dvariable ss = square(sigma);
 nll = (1/ss)*N*sum(square(X-mu));